﻿using Syncfusion.UI.Xaml.Grid;
using Syncfusion.WinRT.Data;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace SfGrid
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            this.datagrid.GroupExpanding += datagrid_GroupExpanding;
            this.datagrid.Loaded += datagrid_Loaded;
        }

        void datagrid_GroupExpanding(object sender, GroupChangingEventArgs e)
        {
            if (e.Group.Key.Equals("**Empty Group**"))
                e.Cancel = true;
        }

        void datagrid_Loaded(object sender, RoutedEventArgs e)
        {
            datagrid.AutoExpandGroups = true;
            if (this.datagrid.View != null)
            {
                if (this.datagrid.View.TopLevelGroup.Groups.Count > 0)
                {
                    var groups = this.datagrid.View.TopLevelGroup.Groups.Where(group => group.Key.Equals("**Empty Group**"));
                    foreach (var items in groups)
                        items.IsExpanded = false;
                }
            }
        }

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.  The Parameter
        /// property is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }
    }
}
